* ========================================================================
* Define a ENSO composite
* ========================================================================

 'reinit'
 'open realtime/qm_realtime.ctl'
 'run qtcmpar.gs'
  
 'set time jan82 dec98'
 'run u.gs'

 'set t 1'
* warm events
 ave1(prec)
 'define prec1warm=sum'
 ave3(prec)
 'define prec7warm=sum'

 ave1(taux)
 'define taux1warm=sum'
 ave3(taux)
 'define taux7warm=sum'

 ave1(tauy)
 'define tauy1warm=sum'
 ave3(tauy)
 'define tauy7warm=sum'

 ave1(us)
 'define us1warm=sum'
 ave3(us)
 'define us7warm=sum'

* cold events
 ave2(prec)
 'define prec1cold=sum'
 ave4(prec)
 'define prec7cold=sum'

 ave2(taux)
 'define taux1cold=sum'
 ave4(taux)
 'define taux7cold=sum'

 ave2(tauy)
 'define tauy1cold=sum'
 ave4(tauy)
 'define tauy7cold=sum'

 ave2(us)
 'define us1cold=sum'
 ave4(us)
 'define us7cold=sum'

 'set lat -45 45'

* plot
 'enable print meta'
 'set vpage 0 8.5 7 11'
 'set font 1'
 'set grads off'
 'set map 1 1 8'
 'set grid off'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set gxout shaded'
 'set rgb 20 0 50 0'
 'set rgb 80 0 120 0'
 'set black -0.2 0.2'
 'set clevs -1 0 1'
 'set ccols 20 0 0 80'
 'd (prec1warm - prec1cold)/28'
 'set gxout contour'
 'set cint 1'
 'd (prec1warm - prec1cold)/28'
 'draw title (a) WARM-COLD DJF:  QTCM Precip  mm/day  \ (87 92 95) - (84 89 96)'

 'set vpage 0 8.5 3.75 7.75' 
 'set font 1'
 'set grads off'
 'set map 1 1 8'
 'set grid off'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set gxout shaded'
 'set black -0.2 0.2'
 'set clevs -1 0 1'
 'set ccols 20 0 0 80'
 'd (prec7warm - prec7cold)/28'
 'set gxout contour'
 'set cint 1'
 'd (prec7warm - prec7cold)/28'
 'draw title (b) WARM-COLD JJA:  QTCM Precip  mm/day  \ (87 92 95) - (84 89 96)'
 'print'

 'disable print'
 '!gxeps -i meta -o realtime/ensocomp_prec.eps'

* plot wind stress vector
 'c'
 'enable print meta'
 'set vpage 0 8.5 7 11'
 'set font 1'
 'set grads off'
 'set map 1 1 8'
 'set grid off'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set arrscl 0.5 0.04'
 'd skip(taux1warm - taux1cold,2);(tauy1warm-tauy1cold)'
 'draw title (a) WARM-COLD DJF:  QTCM Wind Stress \ (87 92 95) - (84 89 96)'

 'set vpage 0 8.5 3.75 7.75'
 'set grads off'
 'set map 1 1 8'
 'set grid off'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set arrscl 0.5 0.04'
 'd skip(taux7warm - taux7cold,2);(tauy7warm-tauy7cold)'
 'draw title (b) WARM-COLD JJA:  QTCM Wind Stress \ (87 92 95) - (84 89 96)'
 'print'

 'disable print'
 '!gxeps -i meta -o realtime/ensocomp_tau_vector.eps'

* plot zonal wind stress
 'c'
 'enable print meta'
 'set vpage 0 8.5 7 11'
 'set font 1'
 'set grads off'
 'set map 1 1 8'
 'set grid off'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set gxout contour'
 'set cint 0.01'
 'd taux1warm - taux1cold'
 'draw title (a) WARM-COLD DJF:  QTCM Zonal Wind Stress \ (87 92 95) - (84 89 96)'

 'set vpage 0 8.5 3.75 7.75'
 'set grads off'
 'set map 1 1 8'
 'set grid off'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set gxout contour'
 'set cint 0.01'
 'd taux7warm - taux7cold'
 'draw title (b) WARM-COLD JJA:  QTCM Zonal Wind Stress \ (87 92 95) - (84 89 96)'
 'print'

 'disable print'
 '!gxeps -i meta -o realtime/ensocomp_taux.eps'

* plot surface zonal wind
 'c'
 'enable print meta'
 'set vpage 0 8.5 7 11'
 'set grads off'
 'set map 1 1 8'
 'set grid off'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set rgb 50 0 50 0'
 'set rgb 80 0 120 0'
 'set gxout shaded'
 'set black -0.2 0.2'
 'set clevs -1 0 1'
 'set ccols 50 0 0 80'
 'd us1warm - us1cold'
 'set gxout contour'
 'set cint 1'
 'd us1warm - us1cold'
 'draw title (a) WARM-COLD DJF:  QTCM Surface Zonal Wind \ (87 92 95) - (84 89 96)'

 'set vpage 0 8.5 3.75 7.75'
 'set grads off'
 'set map 1 1 8'
 'set grid off'
 'set xlevs 0 90 180 270 360'
 'set ylevs -40 -20 0 20 40'
 'set rgb 50 0 50 0'
 'set rgb 80 0 120 0'
 'set gxout shaded'
 'set black -0.2 0.2'
 'set clevs -1 0 1'
 'set ccols 50 0 0 80'
 'd us7warm - us7cold'
 'set gxout contour'
 'set cint 1'
 'd us7warm - us7cold'
 'draw title (b) WARM-COLD JJA:  QTCM Surface Zonal Wind \ (87 92 95) - (84 89 96)'
 'print'

 'disable print'
 '!gxeps -d -i meta -o realtime/ensocomp_us.eps'


function ave1(var)
*--- define  an averaging for specified times
 'define sum=0'
 
*+++ Remember modify this if you add/delete 
 nmon=9
*+++
 s(var,dec86)
 s(var,jan87)
 s(var,feb87)
 s(var,dec91)
 s(var,jan92)
 s(var,feb92)
 s(var,dec94)
 s(var,jan95)
 s(var,feb95)

 'define sum=sum/'nmon
return
*=============

function ave2(var)
*--- define an averaging for specified times
 'define sum=0'
 
*+++ Remember modify this if you add/delete 
 nmon=9
*+++
 s(var,dec83)
 s(var,jan84)
 s(var,feb84)
 s(var,dec88)
 s(var,jan89)
 s(var,feb89)
 s(var,dec95)
 s(var,jan96)
 s(var,feb96)

 'define sum=sum/'nmon
return
*=============

function ave3(var)
*--- define  an averaging for specified times
 'define sum=0'
 
*+++ Remember modify this if you add/delete
 nmon=9
*+++
 s(var,jun87)
 s(var,jul87)
 s(var,aug87)
 s(var,jun92)
 s(var,jul92)
 s(var,aug92)
 s(var,jun94)
 s(var,jul94)
 s(var,aug94)
 
 
 'define sum=sum/'nmon
return
*=============


function ave4(var)
*--- define an averaging for specified times
 'define sum=0'
 
*+++ Remember modify this if you add/delete
 nmon=9
*+++
 s(var,jun84)
 s(var,jul84)
 s(var,aug84)
 s(var,jun89)
 s(var,jul89)
 s(var,aug89)
 s(var,jun96)
 s(var,jul96)
 s(var,aug96)
 
 
 'define sum=sum/'nmon
return
*=============

function s(var,time)
*--- sum up
 'define sum=sum+'var'(time='time')'
return
*=============

